<?php
	include('conexion.php');
	$nom = $_SESSION['nom_admin'];

?>
<!DOCTYPE html>
<html>
	<head>
		<title>Nuevo producto</title>
		<link rel="stylesheet" type="text/css" href="./css/prueba.css">
		<script src="./js/jquery.min.js"></script>
        <script type="text/javascript" src="./js/script.js"></script>
<!--        <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Open+Sans">-->
        <?php
        	
			$id = $_GET['id'];
			$sql = mysqli_query($conexion,"SELECT * FROM Productos where IdProducto ='$id' and Activo='1' and Eliminado='0'");

			
			$sqla = mysqli_fetch_array($sql);

			$nombre = $sqla['Nombre'];
			$codigo = $sqla['Codigo'];
			$precio = $sqla['PrecioCompra'];
			$categoria = $sqla['IdCategoria'];
			$moneda = $sqla['Moneda'];
			$uni = $sqla['UnidPaq'];

			$pd = mysqli_query($conexion,"DELETE FROM ProductoDetalle WHERE IdProducto = 0");



			
			
        ?>
        <script type="text/javascript">
        	$(document).ready(function() {
        		$("#insumosdatos").load("./busq_insumos.php");
			    $('.paso1').show();
			    //$('.paso2').hide();
			    //$('.paso3').hide();
			    $('#paso2a').on('click', function(){
			    	$('.paso1').hide();
			    $('.paso2').hide(300);
			    $('.paso3').show(300);
        
        
 				});

 				$('#GuardPro').on('click', function(){

			        var nombre = $('#nombre').val();
			        var cod = $('#codigo').val();
			        var cat = $('#cats').val();
			        
			        var url = './productos_salvar.php';

			        
			        $.ajax({
			            type: 'POST',
			            data: 'nombre='+nombre+'&cod='+cod+'&cat='+cat,
			            url: url,
			            success: function(data){
			                
			                alert('Completado');
			                $('.paso1').hide();
			                $('#prodaux').val(data);
			                $('.paso2').show(300);
			                $('.paso3').hide();
			                
			            }
			        });
    			});
			    
			    

			    $('#porcf').on('keyup', function(){
			        var costo = $('#costototal').val();
			        var preciov = $('#pvf').val();
			        var porc = $('#porcf').val();
			        var flag = 1;
			            
			        var url = './calculos_porcf.php';
			        $.ajax({
			        type:'POST',
			        url:url,
			        data:'costo='+costo+'&preciov='+preciov+'&porcvf='+porc+'&flag='+flag,
			        success: function(datos){
			            
			            $('#pvf').val(datos);
			        }
			    });
			    return false;
			    });


			    $('#pvf').on('keyup', function(){
			        var costo = $('#costototal').val();
			        var preciov = $('#pvf').val();
			        var porc = $('#porcf').val();
			        var flag = 2;
			            
			        var url = './calculos_porcf.php';
			        $.ajax({
			        type:'POST',
			        url:url,
			        data:'costo='+costo+'&preciov='+preciov+'&porcvf='+porc+'&flag='+flag,
			        success: function(datos){
			            
			            $('#porcf').val(datos);
			        }
			    });
			    return false;
			    });    	
			   	
			   	$('#porm').on('keyup', function(){
			        var costo = $('#costototal').val();
			        var preciov = $('#pvm').val();
			        var porc = $('#porm').val();
			        var flag = 1;
			            
			        var url = './calculos_porcf.php';
			        $.ajax({
			        type:'POST',
			        url:url,
			        data:'costo='+costo+'&preciov='+preciov+'&porcvf='+porc+'&flag='+flag,
			        success: function(datos){
			            
			            $('#pvm').val(datos);
			        }
			    });
			    return false;
			    });

			    $("#calcular").on('click', function () {
				    var checkbox_value = "|";
				    var areau = "|";
				    var cont = 0;
				    var costov = $('#costovarios').val();
				    var area = $('#area').val();
				    $(":checkbox").each(function () {
				        var ischecked = $(this).is(":checked");
				        if (ischecked) {
				            checkbox_value += $(this).val() + "|";
				            areau += $('#area'+$(this).val()).val() + "|";
				            cont++;
				        }
				    });
				    var url = './productos_calculo.php';
				    $.ajax({
			            type: 'POST',
			            data: 'dato='+checkbox_value+'&cont='+cont+'&area='+area+'&costo='+costov+'&areau='+areau,
			            url: url,
			            success: function(data){
			                $('#costototal').val(data);
			                
			            }
			        });
				    // your awesome code calling ajax
				});
			    $('#largo').on('keyup', function(){
			        var ancho = $('#ancho').val();
			        var largo = $('#largo').val();
			        var med = $('#med').val();
			        var url = './calculos_area.php';
			        $.ajax({
			        type:'POST',
			        url:url,
			        data:'ancho='+ancho+'&largo='+largo+'&med='+med,
			        success: function(datos){
			            
			            $('#area').val(datos);
			            $(":checkbox").each(function () {
				        var ischecked = $(this).is(":checked");
				        if (ischecked) {
				            $('#area'+$(this).val()).val(datos);

				        }

				    });

			        }
			    });
			    });

			    $('#calculararea').on('click', function(){
			        var ancho = $('#ancho').val();
			        var largo = $('#largo').val();
			        var med = $('#med').val();
			        var url = './calculos_area.php';
			        $.ajax({
			        type:'POST',
			        url:url,
			        data:'ancho='+ancho+'&largo='+largo+'&med='+med,
			        success: function(datos){
			            
			            $('#area').val(datos);
			            $(":checkbox").each(function () {
				        var ischecked = $(this).is(":checked");
				        if (ischecked) {
				            $('#area'+$(this).val()).val(datos);

				        }else{
				        	$('#area'+$(this).val()).val('0');
				        }

				    });

			        }
			    });
			    });
			   


			    $('#ancho').on('keyup', function(){
			        var ancho = $('#ancho').val();
			        var largo = $('#largo').val();
			        var med = $('#med').val();
			        var url = './calculos_area.php';
			        $.ajax({
			        type:'POST',
			        url:url,
			        data:'ancho='+ancho+'&largo='+largo+'&med='+med,
			        success: function(datos){
			            
			            $('#area').val(datos);
			            $(":checkbox").each(function () {
				        var ischecked = $(this).is(":checked");
				        if (ischecked) {
				            $('#area'+$(this).val()).val(datos);

				        }
				        
				    });

			        }
			    });
			    });



			    $('#pvm').on('keyup', function(){
			        var costo = $('#costototal').val();
			        var preciov = $('#pvm').val();
			        var porc = $('#porm').val();
			        var flag = 2;
			            
			        var url = './calculos_porcf.php';
			        $.ajax({
			        type:'POST',
			        url:url,
			        data:'costo='+costo+'&preciov='+preciov+'&porcvf='+porc+'&flag='+flag,
			        success: function(datos){
			            
			            $('#porm').val(datos);
			        }
			    });
			    return false;
			    });
			    $('#GuardPr').on('click', function(){
			    	var areau = "|";
			        var nombre = $('#nombre').val();
			        var cod = $('#codigo').val();
			        var cat = $('#cats').val();
			        var costo = $('#costototal').val();
			        var porcf = $('#porcf').val();
			        var pvf = $('#pvf').val();
			        var porm = $('#porm').val();
			        var pvm = $('#pvm').val();
			        var checkbox_value = "|";
				    var cont = 0;
				    var area = $('#area').val();
				    var ancho = $('#ancho').val();
			        var largo = $('#largo').val();
			        var med = $('#med').val();
			        var costov = $('#costovarios').val();
				    $(":checkbox").each(function () {
				        var ischecked = $(this).is(":checked");
				        if (ischecked) {
				            checkbox_value += $(this).val() + "|";
				            areau += $('#area'+$(this).val()).val() + "|";
				            cont++;
				        }
				    });
			        
			        var url = './productos_salvar.php';

			        
			        $.ajax({
			            type: 'POST',
			            data: 'nombre='+nombre+'&cod='+cod+'&cat='+cat+'&costo='+costo+'&porcf='+porcf+'&pvf='+pvf+'&porm='+porm+'&pvm='+pvm+'&datos='+checkbox_value+'&ancho='+ancho+'&largo='+largo+'&area='+area+'&cont='+cont+'&med='+med+'&areau='+areau+'&costov='+costov,
			            url: url,
			            success: function(data){
			            if(data>0){
			                alert('Producto capturado');
			                window.location.replace("./productos_lista.php");
			                }else{
			                    alert('Fallo de registro');
			                }
			            }
			        });
			        
			    });


			});

				

        	function cancelar(id) {
		    if(confirm('Deseas borrar el insumo?')){
		    		
		            $.ajax({
		            type:'POST',
		            url:'./productoins_borrar.php',
		            data:'dato='+id,
		            success: function(datos,status,xhr){
		                $('#'+id).hide();
		            },
				    error: function(xhr, status, error){
				        alert("Error!" + xhr.status);
				    }
		            });
		        }else{
		            alert('Error');
		        }

			}
        	function formulario(f) { 

				if (f.nombre.value   == '') { alert ('El nombre esta vacio');  
				f.nombre.focus(); return false; } 
				/*if (f.descripcion.value   == '') { alert ('La descripcion esta vacio');  
				f.descripcion.focus(); return false; }*/ 
				if (f.codigo.value  == '') { alert ('El codigo esta vacio'); 
				f.codigo.focus(); return false; } 
				/*if (f.opc.value  == 0) { alert ('Debes seleccionar una categoria'); 
				f.opc.focus(); return false; }*/
				if (f.stock.value  == '') { alert ('Stock vacio'); 
				f.stock.focus(); return false; }
				if (f.precio.value  == '') { alert ('Precio vacio'); 
				f.precio.focus(); return false; }

			}
        </script>
	</head>
	<body>

		<?php include('menu.php');?>
<div id="section" align="center">
</br>
<table border="0">
	
	<tr class="paso1">
		
	<tr><td><br></td></tr>
	<tr><td><br></td></tr>
	<tr>
		<td colspan="3" align="center" class="paso1"> Capturar un nuevo producto</td>
	</tr>

	<tr class="paso1">
		<td>Nombre:</td>
		<td><input type="text" id="nombre" name="nombre" placeholder="Nombre*" value="<?php echo "$nombre";?>"></td>
	</tr>
	<tr class="paso1">
		<td>Codigo:</td>
		<td><input type="text" id="codigo" name="codigo"  placeholder="Codigo*" value="<?php echo "$codigo";?>"></td>
	</tr>
	<tr class="paso1">
		<td>Categoria</td>
		<td><?php 
			$sqlb= mysqli_query($conexion,"SELECT * FROM Categoria where Activo='1' and Eliminado='0'");
		echo "<select name=\"opc\" id=\"cats\">
            				<option value=\"0\" selected>Selecciona categoria*</option>";
            		while($resa=mysqli_fetch_array($sqlb)){
            			$idcat = $resa['IdCategoria'];
            			$cat = $resa['Descripcion'];

            			if($categoria == $idcat){
            				echo "<option value=\"$idcat\" selected>$cat</option>";
            			}else{
            			echo "<option value=\"$idcat\">$cat</option>";
            			}
            		}
				echo "</select></br>"; ?></td>
		<td><a href="#"><button class="botona" >Agregar categoria</button></a></td>
	</tr>
	<tr class="paso1">
		<td>Medidas en:</td>
		<td><select id="med">
			<option value="1" selected>Pulgadas</option>
			<option value="2"> Centimetros</option>
		</select></td>
	</tr>
	<tr class="paso1">
		<td>Largo:</td>
		<td><input type="text" id="largo" name="codigo"  placeholder="Largo*" value="<?php echo "$largo";?>"></td>
	</tr>
	<tr class="paso1">
		<td>Ancho:</td>
		<td><input type="text" id="ancho" name="codigo"  placeholder="Ancho*" value="<?php echo "$ancho";?>"></td>
	</tr>
	<tr class="paso1">
		<td>Area:</td>
		<td><input type="text" id="area" name="codigo"  placeholder="Area*" value="<?php echo "$area";?>" disabled></td>
		<td><input type="button" id="calculararea" value="Calcular" class="botona" /></td>
	</tr>
	<tr><td><br></td></tr>
	<!--<tr class="paso1">
		<?php/* if($id == ''){?>
		<td><button id="GuardPro" class="boton">Guardar</button></td>
		<?php }else{?>
		<td><button id="ActualizarIns" class="boton">Actualizar</button></td>
			<?php } */?>
	</tr>
	<tr class="paso2">
		<td>Producto:</td>
		<td><input type="text" class="ui-widget" id="prodaux" disabled /></td>
	</tr>
	<tr class="paso2">
		<td>Insumo:</td>
		<td colspan="2"><input type="text" class="ui-widget" id="codInsumo" placeholder="Busca por codigo o nombre"/></td>
	</tr>
	<tr class="paso2">
		<td><br></td>
		<td colspan="2"><div id="clientes"><select id="clientesa"><option value="" disabled selected>Escoge una opcion</option></select></div></td>
	</tr>
	<tr class="paso2">
		<td><br></td>
		<td><input type="text" id="cantidadi" name="cantidadi" placeholder="MPU*" ></td>
		<td><button id="agrinsumo" class="botona">Agregar insumo</button></td>
	</tr>

	<tr class="paso2"><td><br></td></tr>-->
</table>
	<table id="insumosdatos" class="table table-striped">
                        
                    </table>
                    <table border="0">
	<tr><td><br></td></tr>
	<tr class="paso3">
		<td>Costo varios:</td>
		<td><input type="number" id="costovarios"  placeholder="Costo Varios" ></td>
	</tr>
	<tr class="paso3">
		<td>Costo de compra:</td>
		<td><input type="text" id="costototal"  placeholder="Costo Total" disabled ></td>
		<td><input type="button" id="calcular" value="Calcular" class="botona" /></td>
	</tr>
	<tr class="paso3">
		<td>Porcentaje de Venta Fotografos:</td>
		<td><input type="number" id="porcf" placeholder="Porcentaje Fotografos*" value="<?php echo $porcf; ?>"></td>
	</tr>
	<tr class="paso3">
		<td>Precio de Venta Fotografos:</td>
		<td><input type="number" id="pvf" placeholder="Precio Fotografos*" value="<?php echo $pvf; ?>"></td>
	</tr>
	<tr class="paso3">
		<td>Porcentaje de Venta Mostrador:</td>
		<td><input type="number" id="porm" placeholder="Porcentaje Mostrador*" value="<?php echo $porcm; ?>"></td>
	</tr>
	<tr class="paso3">
		<td>Precio de Venta Mostrador:</td>
		<td><input type="number" id="pvm" placeholder="Precio Mostrador*" value="<?php echo $pvm; ?>"></td>
	</tr>
	<tr><td><br></td></tr>
	<tr class="paso3">
		<?php if($id == ''){?>
		<td><button id="GuardPr" class="botona">Guardar</button></td>
		<?php }else{?>
		<td><button id="ActualizarIns" class="boton">Actualizar</button></td>
			<?php } ?>
	</tr>
	<tr class="paso2">
		<td><br></td>
		<td colspan="1"></td>
		<td><button id="paso2a" class="boton">Paso 3</button></td>
	</tr>
</table>
</div>
		<?php
		/*<div id="form" align="center">
			<h2>Agregar un nuevo insumo</h2>
			<form method="post" action="productos_salvar.php?id=<?php echo "$id";?>" onsubmit="return formulario(this);" enctype="multipart/form-data">
				<input type="text" id="nombre" name="nombre" placeholder="Nombre*" value="<?php echo "$nombre";?>"></br>
				<input type="text" id="codigo" name="codigo" onBlur="codigocheck(this);" placeholder="Codigo*" value="<?php echo "$codigo";?>"></br>
				
				<?php

				echo "<select name=\"opc\" id=\"cats\">
            				<option value=\"0\" selected>Selecciona proveedor*</option>";
            		for($i=0;$i<$numa;$i++){
            			
            			$idcat = mysql_result($resa, $i,"IdCategoria");
            			$cat = mysql_result($resa, $i,"Descripcion");
            			
            			if($categoria == $idcat){
            				echo "<option value=\"$idcat\" selected>$cat</option>";
            			}else{
            			echo "<option value=\"$idcat\">$cat</option>";
            			}

            		}
            		
				echo "</select></br>";

				if($id==''){
					echo "<input type=\"text\" id=\"descripcion\" name=\"descripcion\" placeholder=\"Descripcion\"  ></br>";			
					echo "<input type=\"text\" id=\"preciov\" name=\"preciov\" placeholder=\"Precio*\"  ></br>";
					echo "<input type=\"text\" id=\"stock\" name=\"stock\" placeholder=\"Stock*\"  ></br>";
					/*echo "<select name=\"destacado\" id=\"dest\">
						<option value =\"0\"> Es destacado?</option>";
						if($destacado != 0){
							if($destacado == 0){
								echo "<option value =\"1\" selected> No</option>";
							}elseif($destacado == 1){
								echo "<option value =\"2\" selected> Si</option>";
							}
						}else{
							echo "<option value =\"1\"> No</option>
						<option value =\"2\"> Si</option>";
						}

						
						echo "</select></br>";
					?>
					<input type="text" id="estante" name="ubicacion" placeholder="Estante*" ></br>
					<input type="text" id="fila" name="ubicacion" placeholder="Fila*" ></br>
					<input type="text" id="columna" name="ubicacion" placeholder="Columna*" ></br>
					<?php
					echo "<input type=\"file\" id=\"upimg\" name=\"imagen\" placeholder=\"Imagen\"></br>"; 

					echo "<input type=\"Submit\" class=\"boton\" name=\"enviar\" id=\"Guard\" value=\"Guardar\">";
					
				}
				else{
					echo "<input type=\"text\" id=\"descripcion\" name=\"descripcion\" placeholder=\"Descripcion\"  value=\"$descripcion\"></br>";
					echo "<input type=\"text\" id=\"preciov\" name=\"preciov\" placeholder=\"Precio*\"  value=\"$precio\"></br>";
					echo "<input type=\"text\" id=\"stock\" name=\"stock\" placeholder=\"Stock*\"  value=\"$stock\"></br>"; 
					/*echo "<select name=\"destacado\" id=\"dest\">
						<option value =\"0\"> Es destacado?</option>";
						
							if($destacado == 0){
								echo "<option value =\"1\" selected> No</option>";
								echo "<option value =\"2\"> Si</option>";
							}elseif($destacado == 1){
								echo "<option value =\"1\"> No</option>";
								echo "<option value =\"2\" selected> Si</option>";
							}
							else{
							echo "<option value =\"1\"> No</option>
								<option value =\"2\"> Si</option>";
							}

						
						echo "</select></br>";
					echo "<input type=\"file\" id=\"upimg\" name=\"imagen\" placeholder=\"Imagen\" value=\"$imagen\"></br>"; 
					?>
					<input type="text" id="estante" name="ubicacion" placeholder="Estante*" ></br>
					<input type="text" id="fila" name="ubicacion" placeholder="Fila*" ></br>
					<input type="text" id="columna" name="ubicacion" placeholder="Columna*" ></br>
					<?php
					echo "<input type=\"Submit\" id=\"Guard\" class=\"boton\" name=\"enviar\" value=\"Actualizar\">";

				}
				*/?>
		    </form>
		</br></br></br>
		    <a href="insumos_lista.php">Regresar al listado</a>
		</div>
				<div id="footer" align="center">
            <p>Cuadropolis</p>
        </div>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>
	</body>
</html>